export default function getCheckListIdFromBusinessCode (businessCode) {
  switch (businessCode) {
    case 'CREW-TRAINING':
      return 'trainingCheckList';
    case 'CREW-DISEMBARKATION-EVALUATION':
      return 'disembarkationCheckList';
    case 'CREW-EVALUATION':
      return 'evaluationCheckList';
    case 'CREW-INTERVIEW':
      return 'interviewCheckList';
    case 'FINANCE-TRAVELEXPENSES':
      return 'travelExpensesCheckList';
    case 'FINANCE-PAYMENT':
      return 'paymentCheckList';
    case 'FINANCE-REIMBURSEMENT':
      return 'reimbursementCheckList';
    case 'CREW-EVALUATE-YEAR-WARK':
      return 'evaluationCheckList';
    case 'CREW-INTERVIEW-BACK-FLOW':
      return 'interviewBackCheckList';
    case 'CREW-ASSESS-TRAINING':
      return 'assessTrainingCheckList';
    case 'CREW-EVALUATE-MIDDLE':
      return 'middleEvalCheckList';
    case 'REPAIR-VOYAGE-BUDGET':
      return 'voyageRepairBudgetCheckList';
    case 'CREW-SINGLE-PRE-JOB-TRAINING':
      return 'singlePreJobTrainingCheckList';
    case 'FINANCE-DEPTBUDGET':
      return 'deptBudgetCheckList';
    case 'CREW-MONTH-EVALUATE':
      return 'monthEvalCheckList';
    case 'CREW-FY-EVALUATE-MIDDLE':
      return 'middleEvalFYCheckList';
    case 'PURCHASE-SP-PARITY':
      return 'purSpParityInfoCheckList';
    case 'PURCHASE-MA-PARITY':
      return 'purMaParityInfoCheckList';
    case 'PURCHASE-MAP-PARITY':
      return 'purMapParityInfoCheckList';
    case 'CREW-PERFORMANCE-WORKFLOW':
      return 'performanceManagementCheckList';
    case 'ISM-INCOMPATIBLE-REPORT':
      return 'incompatibleReportCheckList';
    case 'PURCHASE-MA-APPL':
      return 'materielApplInfoCheckList';
    case 'ISM-DISCREPANCY-REPORT':
      return 'discrepancyReportCheckList';
    case 'MATERIEL-MAT-APPL':
      return 'materielApplInfoCheckList';
    case 'PURCHASE-SP-PURCHAS':
      return 'purSpPurchasInfoCheckList'
    case 'PURCHASE-MA-PURCHAS':
      return 'purMaPurchasInfoCheckList'
    // 海图采购
    case 'PURCHASE-MAP-PURCHAS':
      return 'purMapPurchasInfoCheckList'
    case 'MATERIEL-MAT-CHECK':
      return 'materielCheckInfoCheckList'
    default:
      return null;
  }
}
